import { IStaticDrawerWidget } from '@oinone/kunlun-engine';
import { DrawerPlacement } from '@oinone/kunlun-vue-ui-common';
import { StaticPopupWidget } from '../StaticPopupWidget';
import { DrawerWidgetProps } from './DrawerWidget';
export declare class StaticDrawerWidget extends StaticPopupWidget<DrawerWidgetProps> implements IStaticDrawerWidget {
    protected getPopupScene(): string;
    initialize(props: DrawerWidgetProps): this;
    private teleport;
    private destroyOnClose;
    private title;
    private help;
    private placement;
    private width;
    private height;
    private zIndex;
    private maskClosable;
    private headerInvisible;
    private footerInvisible;
    private okText;
    private okInvisible;
    private cancelText;
    private cancelInvisible;
    private actionLoading;
    private actionReverse;
    setTeleport(fn: () => HTMLElement): void;
    setDestroyOnClose(destroyOnClose: boolean): void;
    setTitle(title: string | null): void;
    setHelp(help: string | undefined): void;
    setPlacement(placement: DrawerPlacement | keyof typeof DrawerPlacement): void;
    setWidth(width: string | number): void;
    setHeight(height: string | number): void;
    setZIndex(zIndex: number | undefined): void;
    setMaskClosable(maskClosable: boolean): void;
    setHeaderInvisible(headerInvisible: boolean): void;
    setFooterInvisible(footerInvisible: boolean): void;
    setOkText(okText: string): void;
    setOkInvisible(okInvisible: boolean): void;
    setCancelText(cancelText: string): void;
    setCancelInvisible(cancelInvisible: boolean): void;
    setActionLoading(actionLoading: boolean): void;
    setActionReverse(actionReverse: boolean): void;
}
